@Echo off

Rem
Rem JPaaS
Rem Copyright 2012 Bull S.A.S.
Rem Contact: jonas@ow2.org
Rem
Rem Licensed under the Apache License, Version 2.0 (the "License");
Rem you may not use this file except in compliance with the License.
Rem You may obtain a copy of the License at
Rem
Rem     http://www.apache.org/licenses/LICENSE-2.0
Rem
Rem Unless required by applicable law or agreed to in writing, software
Rem distributed under the License is distributed on an "AS IS" BASIS,
Rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
Rem See the License for the specific language governing permissions and
Rem limitations under the License.
Rem
Rem $Id:$

Rem Test JONAS_ROOT and JONAS_BASE

set JONAS_ROOT=%JPAAS_ROOT%

if ["%JONAS_ROOT%"]==[""] goto set_jonas_root
goto :args

:set_jonas_root
  echo Check that JPAAS_ROOT is set
goto :EOF

Rem ---------------------------------------------
Rem Get args
Rem ---------------------------------------------
:args

set JONAS_BASE=%JONAS_ROOT%
set PATH=%JONAS_ROOT%\bin;%PATH%

if [%1]==[]   goto no_arg
set ARGS=
set COMMAND=
:loop_on_args
set VALUE=%~1
if [%1]==["start"]     goto command_arg
if [%1]==["stop"]      goto command_arg
set ARGS=%ARGS% %1
goto next_arg

Rem set ARGS=%ARGS% -Dhttp.proxyHost=
Rem set ARGS=%ARGS% -Dhttp.proxyPort=8080
Rem set ARGS=%ARGS% -Dhttp.nonProxyHosts="localhost|127.0.0.1"

echo %ARGS%

:command_arg
set COMMAND=%1
goto :next_arg

:next_arg
shift
if not ["%1"]==[""] goto loop_on_args

if [%COMMAND%]==["start"] goto start
if [%COMMAND%]==["stop"]  goto stop
if [%COMMAND%]==[""]      goto no_arg

jonas start -n apache-agent -clean -Djava.net.preferIPv4Stack=true %ARGS%
goto :EOF

:stop_arg
jonas stop -n apache-agent %ARGS%
goto :EOF

:no_arg
echo No arguments specified.
echo "apache-agent start|stop [OPTIONS]"