#!/bin/sh
#
# JPaaS
# Copyright 2012 Bull S.A.S.
# Contact: jonas@ow2.org
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# $Id:$

export JONAS_ROOT=${JPAAS_ROOT}

# Check if $JONAS_ROOT is set.
if [ -z "$JONAS_ROOT" ]; then
    echo Please set the JPAAS_ROOT variable.
    exit
fi

export JONAS_BASE=$JONAS_ROOT
export PATH=$JONAS_ROOT/bin:$PATH


# ---------------------------------------------
# Get arguments
# ---------------------------------------------
COMMAND=
OPTS=

#Parse command line
while [ -n "$1" ]; do
  if [ $1 = "start" ]; then
    COMMAND="$1"
    shift
  elif [ $1 = "stop" ]; then
    COMMAND="$1"
    shift
  else
    OPTS="$OPTS $1"
    shift
  fi
done

#OPTS=-Dhttp.proxyHost=
#OPTS=$OPTS -Dhttp.proxyPort=8080
#OPTS=$OPTS -Dhttp.nonProxyHosts="localhost|127.0.0.1"

case "$COMMAND" in
  start)
    jonas start -n apache-agent -clean -Djava.net.preferIPv4Stack=true $OPTS
    ;;
  stop)
    jonas stop -n apache-agent $OPTS
    ;;
  *)
    echo "usage : apache-agent start | stop [OPTIONS]"
esac
